Index: /trunk/sources/HeuristicLab.Clients.Hive.Slave.App/3.3/HeuristicLab.Clients.Hive.Slave.App-3.3.csproj
===================================================================
--- /trunk/sources/HeuristicLab.Clients.Hive.Slave.App/3.3/HeuristicLab.Clients.Hive.Slave.App-3.3.csproj	(revision 6992)
+++ /trunk/sources/HeuristicLab.Clients.Hive.Slave.App/3.3/HeuristicLab.Clients.Hive.Slave.App-3.3.csproj	(revision 6993)
@@ -135,26 +135,7 @@
       <DependentUpon>MainWindow.cs</DependentUpon>
     </EmbeddedResource>
-    <EmbeddedResource Include="Properties\Resources.resx">
-      <Generator>ResXFileCodeGenerator</Generator>
-      <LastGenOutput>Resources.Designer.cs</LastGenOutput>
-      <SubType>Designer</SubType>
-    </EmbeddedResource>
     <None Include="HeuristicLab.snk" />
     <None Include="Plugin.cs.frame" />
     <None Include="Properties\AssemblyInfo.cs.frame" />
-    <Compile Include="Properties\Resources.Designer.cs">
-      <AutoGen>True</AutoGen>
-      <DependentUpon>Resources.resx</DependentUpon>
-      <DesignTime>True</DesignTime>
-    </Compile>
-    <None Include="Properties\Settings.settings">
-      <Generator>SettingsSingleFileGenerator</Generator>
-      <LastGenOutput>Settings.Designer.cs</LastGenOutput>
-    </None>
-    <Compile Include="Properties\Settings.Designer.cs">
-      <AutoGen>True</AutoGen>
-      <DependentUpon>Settings.settings</DependentUpon>
-      <DesignTimeSharedInput>True</DesignTimeSharedInput>
-    </Compile>
   </ItemGroup>
   <ItemGroup>
Index: /trunk/sources/HeuristicLab.Clients.Hive.Slave.App/3.3/HiveSlaveApplication.cs
===================================================================
--- /trunk/sources/HeuristicLab.Clients.Hive.Slave.App/3.3/HiveSlaveApplication.cs	(revision 6992)
+++ /trunk/sources/HeuristicLab.Clients.Hive.Slave.App/3.3/HiveSlaveApplication.cs	(revision 6993)
@@ -20,6 +20,8 @@
 #endregion
 
+using System.IO;
 using System.Threading;
 using System.Windows.Forms;
+using HeuristicLab.Clients.Hive.SlaveCore.Properties;
 using HeuristicLab.Clients.Hive.SlaveCore.Views;
 using HeuristicLab.PluginInfrastructure;
@@ -30,4 +32,6 @@
     private HeuristicLab.Clients.Hive.SlaveCore.Core core;
     public override void Run() {
+      CheckWorkingDirectories();
+
       core = new HeuristicLab.Clients.Hive.SlaveCore.Core();
       Thread coreThread = new Thread(core.Start);
@@ -44,4 +48,22 @@
       core.Shutdown();
     }
+
+    /// <summary>
+    /// Normally the configuration file just contains the folder names of the PluginCache and the AppDomain working directory. 
+    /// This means that these folders are created in the current directory which is ok for the console client and the windows service. 
+    /// For the HL client we can't do that because the plugin infrastructure gets confused when starting HeuristicLab. 
+    /// Therefore if there is only a relative path in the config, we change that to the temp path. 
+    /// </summary>
+    void CheckWorkingDirectories() {
+      if (!Path.IsPathRooted(Settings.Default.PluginCacheDir)) {
+        Settings.Default.PluginCacheDir = Path.Combine(Path.GetTempPath(), Settings.Default.PluginCacheDir);
+        Settings.Default.Save();
+      }
+
+      if (!Path.IsPathRooted(Settings.Default.PluginTempBaseDir)) {
+        Settings.Default.PluginCacheDir = Path.Combine(Path.GetTempPath(), Settings.Default.PluginTempBaseDir);
+        Settings.Default.Save();
+      }
+    }
   }
 }
Index: /trunk/sources/HeuristicLab.Clients.Hive.Slave.TrayIconSetup/HeuristicLab.Clients.Hive.Slave.TrayIconSetup.vdproj
===================================================================
--- /trunk/sources/HeuristicLab.Clients.Hive.Slave.TrayIconSetup/HeuristicLab.Clients.Hive.Slave.TrayIconSetup.vdproj	(revision 6992)
+++ /trunk/sources/HeuristicLab.Clients.Hive.Slave.TrayIconSetup/HeuristicLab.Clients.Hive.Slave.TrayIconSetup.vdproj	(revision 6993)
@@ -16,11 +16,5 @@
         "Entry"
         {
-        "MsmKey" = "8:_0C0FFD28A81FCA3C864EEDC37B6367A8"
-        "OwnerKey" = "8:_5F4581CD634302056E4AA33B0650E168"
-        "MsmSig" = "8:_UNDEFINED"
-        }
-        "Entry"
-        {
-        "MsmKey" = "8:_0C0FFD28A81FCA3C864EEDC37B6367A8"
+        "MsmKey" = "8:_38DF717B65E1351C44810C96F6DD0BF5"
         "OwnerKey" = "8:_6CD51DC1E0B04C549D20FB6860C52139"
         "MsmSig" = "8:_UNDEFINED"
@@ -28,11 +22,11 @@
         "Entry"
         {
-        "MsmKey" = "8:_171134FFCDE0025B69B817D464F5D98E"
-        "OwnerKey" = "8:_A14FD9B75FFDC0C9FDE8558B89624A51"
-        "MsmSig" = "8:_UNDEFINED"
-        }
-        "Entry"
-        {
-        "MsmKey" = "8:_171134FFCDE0025B69B817D464F5D98E"
+        "MsmKey" = "8:_3FC55DFBABC44BD5971B6C3616847CB5"
+        "OwnerKey" = "8:_5306CCFBDD32C7AE70BAD9067FD8A0B4"
+        "MsmSig" = "8:_UNDEFINED"
+        }
+        "Entry"
+        {
+        "MsmKey" = "8:_3FC55DFBABC44BD5971B6C3616847CB5"
         "OwnerKey" = "8:_6CD51DC1E0B04C549D20FB6860C52139"
         "MsmSig" = "8:_UNDEFINED"
@@ -40,23 +34,23 @@
         "Entry"
         {
-        "MsmKey" = "8:_171134FFCDE0025B69B817D464F5D98E"
-        "OwnerKey" = "8:_599861A20CA448EE14E05C49D17ABF85"
-        "MsmSig" = "8:_UNDEFINED"
-        }
-        "Entry"
-        {
-        "MsmKey" = "8:_171134FFCDE0025B69B817D464F5D98E"
-        "OwnerKey" = "8:_9541F928C568C75CE14288DDBA5E5F6A"
-        "MsmSig" = "8:_UNDEFINED"
-        }
-        "Entry"
-        {
-        "MsmKey" = "8:_304BEB34BE6FD50C783B231639890388"
-        "OwnerKey" = "8:_5F4581CD634302056E4AA33B0650E168"
-        "MsmSig" = "8:_UNDEFINED"
-        }
-        "Entry"
-        {
-        "MsmKey" = "8:_304BEB34BE6FD50C783B231639890388"
+        "MsmKey" = "8:_3FC55DFBABC44BD5971B6C3616847CB5"
+        "OwnerKey" = "8:_38DF717B65E1351C44810C96F6DD0BF5"
+        "MsmSig" = "8:_UNDEFINED"
+        }
+        "Entry"
+        {
+        "MsmKey" = "8:_3FC55DFBABC44BD5971B6C3616847CB5"
+        "OwnerKey" = "8:_B170EC2FCE9FD06471A01B823D01D257"
+        "MsmSig" = "8:_UNDEFINED"
+        }
+        "Entry"
+        {
+        "MsmKey" = "8:_498E9DF6B769EC33F76D24DF373563C4"
+        "OwnerKey" = "8:_7B9911913C754B67B03FAB1F2965E3F4"
+        "MsmSig" = "8:_UNDEFINED"
+        }
+        "Entry"
+        {
+        "MsmKey" = "8:_498E9DF6B769EC33F76D24DF373563C4"
         "OwnerKey" = "8:_6CD51DC1E0B04C549D20FB6860C52139"
         "MsmSig" = "8:_UNDEFINED"
@@ -64,11 +58,11 @@
         "Entry"
         {
-        "MsmKey" = "8:_54603E2126B94E1B89269E9E1A992867"
-        "OwnerKey" = "8:_7BD628B773CE245FD61F03A52A15ADCB"
-        "MsmSig" = "8:_UNDEFINED"
-        }
-        "Entry"
-        {
-        "MsmKey" = "8:_54603E2126B94E1B89269E9E1A992867"
+        "MsmKey" = "8:_4AA58796DE6D77F4BBD8A8B47793F65F"
+        "OwnerKey" = "8:_4F596DDAD9A476954B5FDC96EE9B6F78"
+        "MsmSig" = "8:_UNDEFINED"
+        }
+        "Entry"
+        {
+        "MsmKey" = "8:_4AA58796DE6D77F4BBD8A8B47793F65F"
         "OwnerKey" = "8:_6CD51DC1E0B04C549D20FB6860C52139"
         "MsmSig" = "8:_UNDEFINED"
@@ -76,53 +70,47 @@
         "Entry"
         {
-        "MsmKey" = "8:_54603E2126B94E1B89269E9E1A992867"
-        "OwnerKey" = "8:_A14FD9B75FFDC0C9FDE8558B89624A51"
-        "MsmSig" = "8:_UNDEFINED"
-        }
-        "Entry"
-        {
-        "MsmKey" = "8:_54603E2126B94E1B89269E9E1A992867"
-        "OwnerKey" = "8:_599861A20CA448EE14E05C49D17ABF85"
-        "MsmSig" = "8:_UNDEFINED"
-        }
-        "Entry"
-        {
-        "MsmKey" = "8:_54603E2126B94E1B89269E9E1A992867"
-        "OwnerKey" = "8:_E1DF3FF675F8909B8FAF6D7E567FD238"
-        "MsmSig" = "8:_UNDEFINED"
-        }
-        "Entry"
-        {
-        "MsmKey" = "8:_54603E2126B94E1B89269E9E1A992867"
-        "OwnerKey" = "8:_5F4581CD634302056E4AA33B0650E168"
-        "MsmSig" = "8:_UNDEFINED"
-        }
-        "Entry"
-        {
-        "MsmKey" = "8:_54603E2126B94E1B89269E9E1A992867"
-        "OwnerKey" = "8:_0C0FFD28A81FCA3C864EEDC37B6367A8"
-        "MsmSig" = "8:_UNDEFINED"
-        }
-        "Entry"
-        {
-        "MsmKey" = "8:_54603E2126B94E1B89269E9E1A992867"
-        "OwnerKey" = "8:_5541BB0536071D0D18B92E5CD73C37B0"
-        "MsmSig" = "8:_UNDEFINED"
-        }
-        "Entry"
-        {
-        "MsmKey" = "8:_54603E2126B94E1B89269E9E1A992867"
-        "OwnerKey" = "8:_F0830FF0B893997415F4A4119B7871AD"
-        "MsmSig" = "8:_UNDEFINED"
-        }
-        "Entry"
-        {
-        "MsmKey" = "8:_5541BB0536071D0D18B92E5CD73C37B0"
-        "OwnerKey" = "8:_0C0FFD28A81FCA3C864EEDC37B6367A8"
-        "MsmSig" = "8:_UNDEFINED"
-        }
-        "Entry"
-        {
-        "MsmKey" = "8:_5541BB0536071D0D18B92E5CD73C37B0"
+        "MsmKey" = "8:_4AA58796DE6D77F4BBD8A8B47793F65F"
+        "OwnerKey" = "8:_B170EC2FCE9FD06471A01B823D01D257"
+        "MsmSig" = "8:_UNDEFINED"
+        }
+        "Entry"
+        {
+        "MsmKey" = "8:_4AA58796DE6D77F4BBD8A8B47793F65F"
+        "OwnerKey" = "8:_859EAFAB8FA5973A5035A126634B77BD"
+        "MsmSig" = "8:_UNDEFINED"
+        }
+        "Entry"
+        {
+        "MsmKey" = "8:_4AA58796DE6D77F4BBD8A8B47793F65F"
+        "OwnerKey" = "8:_7B9911913C754B67B03FAB1F2965E3F4"
+        "MsmSig" = "8:_UNDEFINED"
+        }
+        "Entry"
+        {
+        "MsmKey" = "8:_4AA58796DE6D77F4BBD8A8B47793F65F"
+        "OwnerKey" = "8:_498E9DF6B769EC33F76D24DF373563C4"
+        "MsmSig" = "8:_UNDEFINED"
+        }
+        "Entry"
+        {
+        "MsmKey" = "8:_4AA58796DE6D77F4BBD8A8B47793F65F"
+        "OwnerKey" = "8:_9B009598B39B86C73DADAE1A56DC2F64"
+        "MsmSig" = "8:_UNDEFINED"
+        }
+        "Entry"
+        {
+        "MsmKey" = "8:_4AA58796DE6D77F4BBD8A8B47793F65F"
+        "OwnerKey" = "8:_EC9CFCC75CC9F20DAABC7C9EA02F2EBA"
+        "MsmSig" = "8:_UNDEFINED"
+        }
+        "Entry"
+        {
+        "MsmKey" = "8:_4F596DDAD9A476954B5FDC96EE9B6F78"
+        "OwnerKey" = "8:_EC9CFCC75CC9F20DAABC7C9EA02F2EBA"
+        "MsmSig" = "8:_UNDEFINED"
+        }
+        "Entry"
+        {
+        "MsmKey" = "8:_4F596DDAD9A476954B5FDC96EE9B6F78"
         "OwnerKey" = "8:_6CD51DC1E0B04C549D20FB6860C52139"
         "MsmSig" = "8:_UNDEFINED"
@@ -130,5 +118,35 @@
         "Entry"
         {
-        "MsmKey" = "8:_599861A20CA448EE14E05C49D17ABF85"
+        "MsmKey" = "8:_4F596DDAD9A476954B5FDC96EE9B6F78"
+        "OwnerKey" = "8:_B170EC2FCE9FD06471A01B823D01D257"
+        "MsmSig" = "8:_UNDEFINED"
+        }
+        "Entry"
+        {
+        "MsmKey" = "8:_4F596DDAD9A476954B5FDC96EE9B6F78"
+        "OwnerKey" = "8:_859EAFAB8FA5973A5035A126634B77BD"
+        "MsmSig" = "8:_UNDEFINED"
+        }
+        "Entry"
+        {
+        "MsmKey" = "8:_4F596DDAD9A476954B5FDC96EE9B6F78"
+        "OwnerKey" = "8:_7B9911913C754B67B03FAB1F2965E3F4"
+        "MsmSig" = "8:_UNDEFINED"
+        }
+        "Entry"
+        {
+        "MsmKey" = "8:_4F596DDAD9A476954B5FDC96EE9B6F78"
+        "OwnerKey" = "8:_498E9DF6B769EC33F76D24DF373563C4"
+        "MsmSig" = "8:_UNDEFINED"
+        }
+        "Entry"
+        {
+        "MsmKey" = "8:_5306CCFBDD32C7AE70BAD9067FD8A0B4"
+        "OwnerKey" = "8:_38DF717B65E1351C44810C96F6DD0BF5"
+        "MsmSig" = "8:_UNDEFINED"
+        }
+        "Entry"
+        {
+        "MsmKey" = "8:_5306CCFBDD32C7AE70BAD9067FD8A0B4"
         "OwnerKey" = "8:_6CD51DC1E0B04C549D20FB6860C52139"
         "MsmSig" = "8:_UNDEFINED"
@@ -136,84 +154,6 @@
         "Entry"
         {
-        "MsmKey" = "8:_5E14D1BE4E00FF26EC3A0FD85DE6F87E"
-        "OwnerKey" = "8:_7BD628B773CE245FD61F03A52A15ADCB"
-        "MsmSig" = "8:_UNDEFINED"
-        }
-        "Entry"
-        {
-        "MsmKey" = "8:_5E14D1BE4E00FF26EC3A0FD85DE6F87E"
-        "OwnerKey" = "8:_6CD51DC1E0B04C549D20FB6860C52139"
-        "MsmSig" = "8:_UNDEFINED"
-        }
-        "Entry"
-        {
-        "MsmKey" = "8:_5E14D1BE4E00FF26EC3A0FD85DE6F87E"
-        "OwnerKey" = "8:_9541F928C568C75CE14288DDBA5E5F6A"
-        "MsmSig" = "8:_UNDEFINED"
-        }
-        "Entry"
-        {
-        "MsmKey" = "8:_5E14D1BE4E00FF26EC3A0FD85DE6F87E"
-        "OwnerKey" = "8:_171134FFCDE0025B69B817D464F5D98E"
-        "MsmSig" = "8:_UNDEFINED"
-        }
-        "Entry"
-        {
-        "MsmKey" = "8:_5E14D1BE4E00FF26EC3A0FD85DE6F87E"
-        "OwnerKey" = "8:_A14FD9B75FFDC0C9FDE8558B89624A51"
-        "MsmSig" = "8:_UNDEFINED"
-        }
-        "Entry"
-        {
-        "MsmKey" = "8:_5E14D1BE4E00FF26EC3A0FD85DE6F87E"
-        "OwnerKey" = "8:_599861A20CA448EE14E05C49D17ABF85"
-        "MsmSig" = "8:_UNDEFINED"
-        }
-        "Entry"
-        {
-        "MsmKey" = "8:_5E14D1BE4E00FF26EC3A0FD85DE6F87E"
-        "OwnerKey" = "8:_E1DF3FF675F8909B8FAF6D7E567FD238"
-        "MsmSig" = "8:_UNDEFINED"
-        }
-        "Entry"
-        {
-        "MsmKey" = "8:_5E14D1BE4E00FF26EC3A0FD85DE6F87E"
-        "OwnerKey" = "8:_5F4581CD634302056E4AA33B0650E168"
-        "MsmSig" = "8:_UNDEFINED"
-        }
-        "Entry"
-        {
-        "MsmKey" = "8:_5E14D1BE4E00FF26EC3A0FD85DE6F87E"
-        "OwnerKey" = "8:_0C0FFD28A81FCA3C864EEDC37B6367A8"
-        "MsmSig" = "8:_UNDEFINED"
-        }
-        "Entry"
-        {
-        "MsmKey" = "8:_5E14D1BE4E00FF26EC3A0FD85DE6F87E"
-        "OwnerKey" = "8:_5541BB0536071D0D18B92E5CD73C37B0"
-        "MsmSig" = "8:_UNDEFINED"
-        }
-        "Entry"
-        {
-        "MsmKey" = "8:_5E14D1BE4E00FF26EC3A0FD85DE6F87E"
-        "OwnerKey" = "8:_F0830FF0B893997415F4A4119B7871AD"
-        "MsmSig" = "8:_UNDEFINED"
-        }
-        "Entry"
-        {
-        "MsmKey" = "8:_5E14D1BE4E00FF26EC3A0FD85DE6F87E"
-        "OwnerKey" = "8:_54603E2126B94E1B89269E9E1A992867"
-        "MsmSig" = "8:_UNDEFINED"
-        }
-        "Entry"
-        {
-        "MsmKey" = "8:_5F4581CD634302056E4AA33B0650E168"
-        "OwnerKey" = "8:_E1DF3FF675F8909B8FAF6D7E567FD238"
-        "MsmSig" = "8:_UNDEFINED"
-        }
-        "Entry"
-        {
-        "MsmKey" = "8:_5F4581CD634302056E4AA33B0650E168"
-        "OwnerKey" = "8:_6CD51DC1E0B04C549D20FB6860C52139"
+        "MsmKey" = "8:_5306CCFBDD32C7AE70BAD9067FD8A0B4"
+        "OwnerKey" = "8:_B170EC2FCE9FD06471A01B823D01D257"
         "MsmSig" = "8:_UNDEFINED"
         }
@@ -226,4 +166,16 @@
         "Entry"
         {
+        "MsmKey" = "8:_66725C283366F164FE78620727BC1CCC"
+        "OwnerKey" = "8:_5306CCFBDD32C7AE70BAD9067FD8A0B4"
+        "MsmSig" = "8:_UNDEFINED"
+        }
+        "Entry"
+        {
+        "MsmKey" = "8:_66725C283366F164FE78620727BC1CCC"
+        "OwnerKey" = "8:_6CD51DC1E0B04C549D20FB6860C52139"
+        "MsmSig" = "8:_UNDEFINED"
+        }
+        "Entry"
+        {
         "MsmKey" = "8:_6CD51DC1E0B04C549D20FB6860C52139"
         "OwnerKey" = "8:_UNDEFINED"
@@ -232,11 +184,11 @@
         "Entry"
         {
-        "MsmKey" = "8:_704A65445577390DC7571CC5D8FDD3EE"
-        "OwnerKey" = "8:_E4DD5E3D2A69B5BE8B068C88529DFDC6"
-        "MsmSig" = "8:_UNDEFINED"
-        }
-        "Entry"
-        {
-        "MsmKey" = "8:_704A65445577390DC7571CC5D8FDD3EE"
+        "MsmKey" = "8:_743A627C859C09137E05A713D9ED1BC0"
+        "OwnerKey" = "8:_859EAFAB8FA5973A5035A126634B77BD"
+        "MsmSig" = "8:_UNDEFINED"
+        }
+        "Entry"
+        {
+        "MsmKey" = "8:_743A627C859C09137E05A713D9ED1BC0"
         "OwnerKey" = "8:_6CD51DC1E0B04C549D20FB6860C52139"
         "MsmSig" = "8:_UNDEFINED"
@@ -244,47 +196,53 @@
         "Entry"
         {
-        "MsmKey" = "8:_704A65445577390DC7571CC5D8FDD3EE"
-        "OwnerKey" = "8:_A14FD9B75FFDC0C9FDE8558B89624A51"
-        "MsmSig" = "8:_UNDEFINED"
-        }
-        "Entry"
-        {
-        "MsmKey" = "8:_704A65445577390DC7571CC5D8FDD3EE"
-        "OwnerKey" = "8:_5F4581CD634302056E4AA33B0650E168"
-        "MsmSig" = "8:_UNDEFINED"
-        }
-        "Entry"
-        {
-        "MsmKey" = "8:_704A65445577390DC7571CC5D8FDD3EE"
-        "OwnerKey" = "8:_0C0FFD28A81FCA3C864EEDC37B6367A8"
-        "MsmSig" = "8:_UNDEFINED"
-        }
-        "Entry"
-        {
-        "MsmKey" = "8:_704A65445577390DC7571CC5D8FDD3EE"
-        "OwnerKey" = "8:_5541BB0536071D0D18B92E5CD73C37B0"
-        "MsmSig" = "8:_UNDEFINED"
-        }
-        "Entry"
-        {
-        "MsmKey" = "8:_704A65445577390DC7571CC5D8FDD3EE"
-        "OwnerKey" = "8:_F0830FF0B893997415F4A4119B7871AD"
-        "MsmSig" = "8:_UNDEFINED"
-        }
-        "Entry"
-        {
-        "MsmKey" = "8:_704A65445577390DC7571CC5D8FDD3EE"
-        "OwnerKey" = "8:_54603E2126B94E1B89269E9E1A992867"
-        "MsmSig" = "8:_UNDEFINED"
-        }
-        "Entry"
-        {
-        "MsmKey" = "8:_77821BEE2F104511E15C8B8B98B756CA"
-        "OwnerKey" = "8:_E2AA9174F4DA1C479FCD78AA48F0E8BE"
-        "MsmSig" = "8:_UNDEFINED"
-        }
-        "Entry"
-        {
-        "MsmKey" = "8:_77821BEE2F104511E15C8B8B98B756CA"
+        "MsmKey" = "8:_743A627C859C09137E05A713D9ED1BC0"
+        "OwnerKey" = "8:_B170EC2FCE9FD06471A01B823D01D257"
+        "MsmSig" = "8:_UNDEFINED"
+        }
+        "Entry"
+        {
+        "MsmKey" = "8:_743A627C859C09137E05A713D9ED1BC0"
+        "OwnerKey" = "8:_5306CCFBDD32C7AE70BAD9067FD8A0B4"
+        "MsmSig" = "8:_UNDEFINED"
+        }
+        "Entry"
+        {
+        "MsmKey" = "8:_743A627C859C09137E05A713D9ED1BC0"
+        "OwnerKey" = "8:_38DF717B65E1351C44810C96F6DD0BF5"
+        "MsmSig" = "8:_UNDEFINED"
+        }
+        "Entry"
+        {
+        "MsmKey" = "8:_743A627C859C09137E05A713D9ED1BC0"
+        "OwnerKey" = "8:_498E9DF6B769EC33F76D24DF373563C4"
+        "MsmSig" = "8:_UNDEFINED"
+        }
+        "Entry"
+        {
+        "MsmKey" = "8:_743A627C859C09137E05A713D9ED1BC0"
+        "OwnerKey" = "8:_9B009598B39B86C73DADAE1A56DC2F64"
+        "MsmSig" = "8:_UNDEFINED"
+        }
+        "Entry"
+        {
+        "MsmKey" = "8:_743A627C859C09137E05A713D9ED1BC0"
+        "OwnerKey" = "8:_7B9911913C754B67B03FAB1F2965E3F4"
+        "MsmSig" = "8:_UNDEFINED"
+        }
+        "Entry"
+        {
+        "MsmKey" = "8:_743A627C859C09137E05A713D9ED1BC0"
+        "OwnerKey" = "8:_EC9CFCC75CC9F20DAABC7C9EA02F2EBA"
+        "MsmSig" = "8:_UNDEFINED"
+        }
+        "Entry"
+        {
+        "MsmKey" = "8:_7B9911913C754B67B03FAB1F2965E3F4"
+        "OwnerKey" = "8:_859EAFAB8FA5973A5035A126634B77BD"
+        "MsmSig" = "8:_UNDEFINED"
+        }
+        "Entry"
+        {
+        "MsmKey" = "8:_7B9911913C754B67B03FAB1F2965E3F4"
         "OwnerKey" = "8:_6CD51DC1E0B04C549D20FB6860C52139"
         "MsmSig" = "8:_UNDEFINED"
@@ -292,17 +250,5 @@
         "Entry"
         {
-        "MsmKey" = "8:_77821BEE2F104511E15C8B8B98B756CA"
-        "OwnerKey" = "8:_704A65445577390DC7571CC5D8FDD3EE"
-        "MsmSig" = "8:_UNDEFINED"
-        }
-        "Entry"
-        {
-        "MsmKey" = "8:_7973651787827518B0E6A86DC6DAFC09"
-        "OwnerKey" = "8:_704A65445577390DC7571CC5D8FDD3EE"
-        "MsmSig" = "8:_UNDEFINED"
-        }
-        "Entry"
-        {
-        "MsmKey" = "8:_7973651787827518B0E6A86DC6DAFC09"
+        "MsmKey" = "8:_859EAFAB8FA5973A5035A126634B77BD"
         "OwnerKey" = "8:_6CD51DC1E0B04C549D20FB6860C52139"
         "MsmSig" = "8:_UNDEFINED"
@@ -310,11 +256,17 @@
         "Entry"
         {
-        "MsmKey" = "8:_7BD628B773CE245FD61F03A52A15ADCB"
-        "OwnerKey" = "8:_5F4581CD634302056E4AA33B0650E168"
-        "MsmSig" = "8:_UNDEFINED"
-        }
-        "Entry"
-        {
-        "MsmKey" = "8:_7BD628B773CE245FD61F03A52A15ADCB"
+        "MsmKey" = "8:_859EAFAB8FA5973A5035A126634B77BD"
+        "OwnerKey" = "8:_987B72C2E9B1BD0D5FDD184F353CEA92"
+        "MsmSig" = "8:_UNDEFINED"
+        }
+        "Entry"
+        {
+        "MsmKey" = "8:_987B72C2E9B1BD0D5FDD184F353CEA92"
+        "OwnerKey" = "8:_38DF717B65E1351C44810C96F6DD0BF5"
+        "MsmSig" = "8:_UNDEFINED"
+        }
+        "Entry"
+        {
+        "MsmKey" = "8:_987B72C2E9B1BD0D5FDD184F353CEA92"
         "OwnerKey" = "8:_6CD51DC1E0B04C549D20FB6860C52139"
         "MsmSig" = "8:_UNDEFINED"
@@ -322,17 +274,11 @@
         "Entry"
         {
-        "MsmKey" = "8:_7BD628B773CE245FD61F03A52A15ADCB"
-        "OwnerKey" = "8:_E1DF3FF675F8909B8FAF6D7E567FD238"
-        "MsmSig" = "8:_UNDEFINED"
-        }
-        "Entry"
-        {
-        "MsmKey" = "8:_9541F928C568C75CE14288DDBA5E5F6A"
-        "OwnerKey" = "8:_A14FD9B75FFDC0C9FDE8558B89624A51"
-        "MsmSig" = "8:_UNDEFINED"
-        }
-        "Entry"
-        {
-        "MsmKey" = "8:_9541F928C568C75CE14288DDBA5E5F6A"
+        "MsmKey" = "8:_9B009598B39B86C73DADAE1A56DC2F64"
+        "OwnerKey" = "8:_7B9911913C754B67B03FAB1F2965E3F4"
+        "MsmSig" = "8:_UNDEFINED"
+        }
+        "Entry"
+        {
+        "MsmKey" = "8:_9B009598B39B86C73DADAE1A56DC2F64"
         "OwnerKey" = "8:_6CD51DC1E0B04C549D20FB6860C52139"
         "MsmSig" = "8:_UNDEFINED"
@@ -340,17 +286,11 @@
         "Entry"
         {
-        "MsmKey" = "8:_9541F928C568C75CE14288DDBA5E5F6A"
-        "OwnerKey" = "8:_599861A20CA448EE14E05C49D17ABF85"
-        "MsmSig" = "8:_UNDEFINED"
-        }
-        "Entry"
-        {
-        "MsmKey" = "8:_A14FD9B75FFDC0C9FDE8558B89624A51"
-        "OwnerKey" = "8:_599861A20CA448EE14E05C49D17ABF85"
-        "MsmSig" = "8:_UNDEFINED"
-        }
-        "Entry"
-        {
-        "MsmKey" = "8:_A14FD9B75FFDC0C9FDE8558B89624A51"
+        "MsmKey" = "8:_B170EC2FCE9FD06471A01B823D01D257"
+        "OwnerKey" = "8:_38DF717B65E1351C44810C96F6DD0BF5"
+        "MsmSig" = "8:_UNDEFINED"
+        }
+        "Entry"
+        {
+        "MsmKey" = "8:_B170EC2FCE9FD06471A01B823D01D257"
         "OwnerKey" = "8:_6CD51DC1E0B04C549D20FB6860C52139"
         "MsmSig" = "8:_UNDEFINED"
@@ -358,11 +298,11 @@
         "Entry"
         {
-        "MsmKey" = "8:_BA24EB8379AD50E05C7274CF07672B8C"
-        "OwnerKey" = "8:_9541F928C568C75CE14288DDBA5E5F6A"
-        "MsmSig" = "8:_UNDEFINED"
-        }
-        "Entry"
-        {
-        "MsmKey" = "8:_BA24EB8379AD50E05C7274CF07672B8C"
+        "MsmKey" = "8:_B664DB364428725F047AE1CDE260F79E"
+        "OwnerKey" = "8:_EFA4FDAC6BB7A68ED7833B12158B41BD"
+        "MsmSig" = "8:_UNDEFINED"
+        }
+        "Entry"
+        {
+        "MsmKey" = "8:_B664DB364428725F047AE1CDE260F79E"
         "OwnerKey" = "8:_6CD51DC1E0B04C549D20FB6860C52139"
         "MsmSig" = "8:_UNDEFINED"
@@ -370,11 +310,107 @@
         "Entry"
         {
-        "MsmKey" = "8:_DAC163C214855C93932BB03E1CF20002"
-        "OwnerKey" = "8:_599861A20CA448EE14E05C49D17ABF85"
-        "MsmSig" = "8:_UNDEFINED"
-        }
-        "Entry"
-        {
-        "MsmKey" = "8:_DAC163C214855C93932BB03E1CF20002"
+        "MsmKey" = "8:_B664DB364428725F047AE1CDE260F79E"
+        "OwnerKey" = "8:_B170EC2FCE9FD06471A01B823D01D257"
+        "MsmSig" = "8:_UNDEFINED"
+        }
+        "Entry"
+        {
+        "MsmKey" = "8:_B664DB364428725F047AE1CDE260F79E"
+        "OwnerKey" = "8:_38DF717B65E1351C44810C96F6DD0BF5"
+        "MsmSig" = "8:_UNDEFINED"
+        }
+        "Entry"
+        {
+        "MsmKey" = "8:_B664DB364428725F047AE1CDE260F79E"
+        "OwnerKey" = "8:_3FC55DFBABC44BD5971B6C3616847CB5"
+        "MsmSig" = "8:_UNDEFINED"
+        }
+        "Entry"
+        {
+        "MsmKey" = "8:_B664DB364428725F047AE1CDE260F79E"
+        "OwnerKey" = "8:_5306CCFBDD32C7AE70BAD9067FD8A0B4"
+        "MsmSig" = "8:_UNDEFINED"
+        }
+        "Entry"
+        {
+        "MsmKey" = "8:_B664DB364428725F047AE1CDE260F79E"
+        "OwnerKey" = "8:_987B72C2E9B1BD0D5FDD184F353CEA92"
+        "MsmSig" = "8:_UNDEFINED"
+        }
+        "Entry"
+        {
+        "MsmKey" = "8:_B664DB364428725F047AE1CDE260F79E"
+        "OwnerKey" = "8:_859EAFAB8FA5973A5035A126634B77BD"
+        "MsmSig" = "8:_UNDEFINED"
+        }
+        "Entry"
+        {
+        "MsmKey" = "8:_B664DB364428725F047AE1CDE260F79E"
+        "OwnerKey" = "8:_7B9911913C754B67B03FAB1F2965E3F4"
+        "MsmSig" = "8:_UNDEFINED"
+        }
+        "Entry"
+        {
+        "MsmKey" = "8:_B664DB364428725F047AE1CDE260F79E"
+        "OwnerKey" = "8:_498E9DF6B769EC33F76D24DF373563C4"
+        "MsmSig" = "8:_UNDEFINED"
+        }
+        "Entry"
+        {
+        "MsmKey" = "8:_B664DB364428725F047AE1CDE260F79E"
+        "OwnerKey" = "8:_9B009598B39B86C73DADAE1A56DC2F64"
+        "MsmSig" = "8:_UNDEFINED"
+        }
+        "Entry"
+        {
+        "MsmKey" = "8:_B664DB364428725F047AE1CDE260F79E"
+        "OwnerKey" = "8:_F40F540BBA06E1DEAC09E434664409E6"
+        "MsmSig" = "8:_UNDEFINED"
+        }
+        "Entry"
+        {
+        "MsmKey" = "8:_B664DB364428725F047AE1CDE260F79E"
+        "OwnerKey" = "8:_4AA58796DE6D77F4BBD8A8B47793F65F"
+        "MsmSig" = "8:_UNDEFINED"
+        }
+        "Entry"
+        {
+        "MsmKey" = "8:_B664DB364428725F047AE1CDE260F79E"
+        "OwnerKey" = "8:_4F596DDAD9A476954B5FDC96EE9B6F78"
+        "MsmSig" = "8:_UNDEFINED"
+        }
+        "Entry"
+        {
+        "MsmKey" = "8:_B664DB364428725F047AE1CDE260F79E"
+        "OwnerKey" = "8:_EC9CFCC75CC9F20DAABC7C9EA02F2EBA"
+        "MsmSig" = "8:_UNDEFINED"
+        }
+        "Entry"
+        {
+        "MsmKey" = "8:_B664DB364428725F047AE1CDE260F79E"
+        "OwnerKey" = "8:_FDEE2CBFE337B946196A0BC752B28220"
+        "MsmSig" = "8:_UNDEFINED"
+        }
+        "Entry"
+        {
+        "MsmKey" = "8:_B664DB364428725F047AE1CDE260F79E"
+        "OwnerKey" = "8:_743A627C859C09137E05A713D9ED1BC0"
+        "MsmSig" = "8:_UNDEFINED"
+        }
+        "Entry"
+        {
+        "MsmKey" = "8:_B664DB364428725F047AE1CDE260F79E"
+        "OwnerKey" = "8:_E25F372D4E04E85F7FF83F3AD5D10747"
+        "MsmSig" = "8:_UNDEFINED"
+        }
+        "Entry"
+        {
+        "MsmKey" = "8:_E0AAFF764DB56215CA366F0D1A40117C"
+        "OwnerKey" = "8:_B664DB364428725F047AE1CDE260F79E"
+        "MsmSig" = "8:_UNDEFINED"
+        }
+        "Entry"
+        {
+        "MsmKey" = "8:_E0AAFF764DB56215CA366F0D1A40117C"
         "OwnerKey" = "8:_6CD51DC1E0B04C549D20FB6860C52139"
         "MsmSig" = "8:_UNDEFINED"
@@ -382,53 +418,17 @@
         "Entry"
         {
-        "MsmKey" = "8:_DAC163C214855C93932BB03E1CF20002"
-        "OwnerKey" = "8:_9541F928C568C75CE14288DDBA5E5F6A"
-        "MsmSig" = "8:_UNDEFINED"
-        }
-        "Entry"
-        {
-        "MsmKey" = "8:_DAC163C214855C93932BB03E1CF20002"
-        "OwnerKey" = "8:_A14FD9B75FFDC0C9FDE8558B89624A51"
-        "MsmSig" = "8:_UNDEFINED"
-        }
-        "Entry"
-        {
-        "MsmKey" = "8:_DAC163C214855C93932BB03E1CF20002"
-        "OwnerKey" = "8:_5541BB0536071D0D18B92E5CD73C37B0"
-        "MsmSig" = "8:_UNDEFINED"
-        }
-        "Entry"
-        {
-        "MsmKey" = "8:_DAC163C214855C93932BB03E1CF20002"
-        "OwnerKey" = "8:_F0830FF0B893997415F4A4119B7871AD"
-        "MsmSig" = "8:_UNDEFINED"
-        }
-        "Entry"
-        {
-        "MsmKey" = "8:_DAC163C214855C93932BB03E1CF20002"
-        "OwnerKey" = "8:_0C0FFD28A81FCA3C864EEDC37B6367A8"
-        "MsmSig" = "8:_UNDEFINED"
-        }
-        "Entry"
-        {
-        "MsmKey" = "8:_DAC163C214855C93932BB03E1CF20002"
-        "OwnerKey" = "8:_54603E2126B94E1B89269E9E1A992867"
-        "MsmSig" = "8:_UNDEFINED"
-        }
-        "Entry"
-        {
-        "MsmKey" = "8:_DAC163C214855C93932BB03E1CF20002"
-        "OwnerKey" = "8:_5F4581CD634302056E4AA33B0650E168"
-        "MsmSig" = "8:_UNDEFINED"
-        }
-        "Entry"
-        {
-        "MsmKey" = "8:_E1DF3FF675F8909B8FAF6D7E567FD238"
-        "OwnerKey" = "8:_599861A20CA448EE14E05C49D17ABF85"
-        "MsmSig" = "8:_UNDEFINED"
-        }
-        "Entry"
-        {
-        "MsmKey" = "8:_E1DF3FF675F8909B8FAF6D7E567FD238"
+        "MsmKey" = "8:_E0AAFF764DB56215CA366F0D1A40117C"
+        "OwnerKey" = "8:_4AA58796DE6D77F4BBD8A8B47793F65F"
+        "MsmSig" = "8:_UNDEFINED"
+        }
+        "Entry"
+        {
+        "MsmKey" = "8:_E25F372D4E04E85F7FF83F3AD5D10747"
+        "OwnerKey" = "8:_859EAFAB8FA5973A5035A126634B77BD"
+        "MsmSig" = "8:_UNDEFINED"
+        }
+        "Entry"
+        {
+        "MsmKey" = "8:_E25F372D4E04E85F7FF83F3AD5D10747"
         "OwnerKey" = "8:_6CD51DC1E0B04C549D20FB6860C52139"
         "MsmSig" = "8:_UNDEFINED"
@@ -436,11 +436,71 @@
         "Entry"
         {
-        "MsmKey" = "8:_E2AA9174F4DA1C479FCD78AA48F0E8BE"
-        "OwnerKey" = "8:_DAC163C214855C93932BB03E1CF20002"
-        "MsmSig" = "8:_UNDEFINED"
-        }
-        "Entry"
-        {
-        "MsmKey" = "8:_E2AA9174F4DA1C479FCD78AA48F0E8BE"
+        "MsmKey" = "8:_E25F372D4E04E85F7FF83F3AD5D10747"
+        "OwnerKey" = "8:_B170EC2FCE9FD06471A01B823D01D257"
+        "MsmSig" = "8:_UNDEFINED"
+        }
+        "Entry"
+        {
+        "MsmKey" = "8:_E25F372D4E04E85F7FF83F3AD5D10747"
+        "OwnerKey" = "8:_3FC55DFBABC44BD5971B6C3616847CB5"
+        "MsmSig" = "8:_UNDEFINED"
+        }
+        "Entry"
+        {
+        "MsmKey" = "8:_E25F372D4E04E85F7FF83F3AD5D10747"
+        "OwnerKey" = "8:_5306CCFBDD32C7AE70BAD9067FD8A0B4"
+        "MsmSig" = "8:_UNDEFINED"
+        }
+        "Entry"
+        {
+        "MsmKey" = "8:_E25F372D4E04E85F7FF83F3AD5D10747"
+        "OwnerKey" = "8:_38DF717B65E1351C44810C96F6DD0BF5"
+        "MsmSig" = "8:_UNDEFINED"
+        }
+        "Entry"
+        {
+        "MsmKey" = "8:_E25F372D4E04E85F7FF83F3AD5D10747"
+        "OwnerKey" = "8:_987B72C2E9B1BD0D5FDD184F353CEA92"
+        "MsmSig" = "8:_UNDEFINED"
+        }
+        "Entry"
+        {
+        "MsmKey" = "8:_E25F372D4E04E85F7FF83F3AD5D10747"
+        "OwnerKey" = "8:_498E9DF6B769EC33F76D24DF373563C4"
+        "MsmSig" = "8:_UNDEFINED"
+        }
+        "Entry"
+        {
+        "MsmKey" = "8:_E25F372D4E04E85F7FF83F3AD5D10747"
+        "OwnerKey" = "8:_9B009598B39B86C73DADAE1A56DC2F64"
+        "MsmSig" = "8:_UNDEFINED"
+        }
+        "Entry"
+        {
+        "MsmKey" = "8:_E25F372D4E04E85F7FF83F3AD5D10747"
+        "OwnerKey" = "8:_7B9911913C754B67B03FAB1F2965E3F4"
+        "MsmSig" = "8:_UNDEFINED"
+        }
+        "Entry"
+        {
+        "MsmKey" = "8:_E25F372D4E04E85F7FF83F3AD5D10747"
+        "OwnerKey" = "8:_EC9CFCC75CC9F20DAABC7C9EA02F2EBA"
+        "MsmSig" = "8:_UNDEFINED"
+        }
+        "Entry"
+        {
+        "MsmKey" = "8:_E25F372D4E04E85F7FF83F3AD5D10747"
+        "OwnerKey" = "8:_FDEE2CBFE337B946196A0BC752B28220"
+        "MsmSig" = "8:_UNDEFINED"
+        }
+        "Entry"
+        {
+        "MsmKey" = "8:_EC9CFCC75CC9F20DAABC7C9EA02F2EBA"
+        "OwnerKey" = "8:_FDEE2CBFE337B946196A0BC752B28220"
+        "MsmSig" = "8:_UNDEFINED"
+        }
+        "Entry"
+        {
+        "MsmKey" = "8:_EC9CFCC75CC9F20DAABC7C9EA02F2EBA"
         "OwnerKey" = "8:_6CD51DC1E0B04C549D20FB6860C52139"
         "MsmSig" = "8:_UNDEFINED"
